Bug 157452 - CAN-2005-1263 Linux kernel ELF core dump privilege elevation
CAN-2005-1263 Linux kernel ELF core dump privilege elevation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Don Howard
Brian Brock
public=20050511,source=isec,reported=...
: Security
Depends On:
Blocks: 143573
  Show dependency treegraph
 
Reported: 2005-05-11 14:33 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-529
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 14:10:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-05-11 14:33:08 EDT
"A locally exploitable flaw has been found in the Linux ELF binary format
loader's core dump  function  that  allows  local  users  to  gain  root
privileges and also execute arbitrary code at kernel privilege level."

For the full description see
http://www.securityfocus.com/archive/1/397966/2005-05-08/2005-05-14/0

For the proposed patch see bug #157450 (not backported)
Comment 4 Don Howard 2005-07-28 17:44:25 EDT
After reviewing this issue and testing the expliot for CAN-2005-1263, I've found
that this has been corrected as of e.64
Comment 7 Red Hat Bugzilla 2005-09-29 14:10:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-529.html

Note You need to log in before you can comment on or make changes to this bug.